# Uses of Class
org.gitana.platform.client.transfer.TransferImportJob

Packages that use TransferImportJob
Package
Description
org.gitana.platform.client.datastore
org.gitana.platform.client.platform
org.gitana.platform.client.support

## Uses of TransferImportJob in org.gitana.platform.client.datastore

Methods in org.gitana.platform.client.datastore that return TransferImportJob
Modifier and Type
Method
Description
`TransferImportJob`
AbstractDataStoreImpl.`importArchive(Archive archive)`
`TransferImportJob`
AbstractDataStoreImpl.`importArchive(Archive archive, org.gitana.platform.services.transfer.TransferImportConfiguration configuration)`
`TransferImportJob`
AbstractDataStoreImpl.`importArchive(Archive archive, org.gitana.platform.services.transfer.TransferImportConfiguration configuration, org.gitana.platform.services.transfer.TransferSchedule schedule)`

## Uses of TransferImportJob in org.gitana.platform.client.platform

Methods in org.gitana.platform.client.platform that return TransferImportJob
Modifier and Type
Method
Description
`TransferImportJob`
AbstractPlatformDocumentImpl.`importArchive(Archive archive)`
`TransferImportJob`
AbstractPlatformDocumentImpl.`importArchive(Archive archive, org.gitana.platform.services.transfer.TransferImportConfiguration configuration)`
`TransferImportJob`
AbstractPlatformDocumentImpl.`importArchive(Archive archive, org.gitana.platform.services.transfer.TransferImportConfiguration configuration, org.gitana.platform.services.transfer.TransferSchedule schedule)`

## Uses of TransferImportJob in org.gitana.platform.client.support

Methods in org.gitana.platform.client.support that return TransferImportJob
Modifier and Type
Method
Description
`TransferImportJob`
Transferable.`importArchive(Archive archive)`
Imports an archive synchronously, returning the job.
`TransferImportJob`
Transferable.`importArchive(Archive archive, org.gitana.platform.services.transfer.TransferImportConfiguration configuration)`
Imports an archive synchronously, returning the job.
`TransferImportJob`
Transferable.`importArchive(Archive archive, org.gitana.platform.services.transfer.TransferImportConfiguration configuration, org.gitana.platform.services.transfer.TransferSchedule schedule)`
Imports either synchronously or asynchronously, returning the job.